import { get, post, uget } from '@/http/index'

// 根据字典类型查询字典数据信息
export const getDicts = async (data) => {
  return await get('/system/dict/data/type/' + data)
}

// 查询字典数据列表
export const listData = async (data) => {
  return await post('/system/dict/data/list', data)
}

// 查询字典数据详细
export const getData = async (data) => {
  return await uget('/system/dict/data/', data)
}

// 删除字典数据
export const delData = async (data) => {
  return await post('/system/dict/data/removeDictData', data)
}

// 新增字典数据
export const addData = async (data) => {
  return await post('/system/dict/data/addDictData', data)
}

// 修改字典数据
export const updateData = async (data) => {
  return await post('/system/dict/data/updateDictData', data)
}

// 导出字典数据
export const exportData = async (data) => {
  return await post('/system/dict/data/export', data)
}
